org.bdgenomics.adam.models

# MdTag

###
Related Docs: class MdTag | package models

#### object MdTag extends Serializable

Companion object to MdTag case class. Provides methods for building an MdTag model from a read.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MdTag
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(read: String, reference: String, cigar: Cigar, start: Long): MdTag

   Creates an MD tag object given a read, and the accompanying reference alignment.

   Creates an MD tag object given a read, and the accompanying reference alignment.

   read

     Sequence of bases in the read.

   reference

     Reference sequence that the read is aligned to.

   cigar

     The CIGAR for the reference alignment.

   start

     The start position of the read alignment.

   returns

     Returns a populated MD tag.

5. #### def apply(mdTagInput: String, referenceStart: Long, cigar: Cigar): MdTag

   Builds an MD tag object from the string representation of an MD tag and the start position of the read.

   Builds an MD tag object from the string representation of an MD tag and the start position of the read.

   mdTagInput

     Textual MD tag/mismatchingPositions string.

   referenceStart

     The read start position.

   cigar

     Cigar operators for the read

   returns

     Returns a populated MD tag.

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def moveAlignment(read: RichAlignmentRecord, newCigar: Cigar, newReference: String, newAlignmentStart: Long): MdTag

    Given a single read, an updated reference, and an updated Cigar, this method calculates a new MD tag.

    Given a single read, an updated reference, and an updated Cigar, this method calculates a new MD tag.

    read

      Read to write a new alignment for.

    newCigar

      The Cigar for the new read alignment.

    newReference

      Reference sequence to write alignment against.

    newAlignmentStart

      The position of the new read alignment.

    returns

      Returns an MD tag for the new read alignment.

    Note

      If the alignment start position has not changed (e.g., the alignment change is that an indel in the read was left normalized), then the two argument (RichADAMRecord, Cigar) moveAlignment function should be used.

    See also

      apply

15. #### def moveAlignment(read: RichAlignmentRecord, newCigar: Cigar): MdTag

    Given a single read and an updated Cigar, recalculates the MD tag.

    Given a single read and an updated Cigar, recalculates the MD tag.

    read

      Record for current alignment.

    newCigar

      Realigned cigar string.

    returns

      Returns an MD tag for the new read alignment.

    Note

      For this method, the read must be mapped and adjustments to the cigar must not have led to a change in the alignment start position. If the alignment position has been changed, then the moveAlignment function with a new reference must be used.

    See also

      apply

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped